Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Interface VirtualMachineImageStoreMXBean

All Superinterfaces:
  ManagedResourceMXBean

    public interface VirtualMachineImageStoreMXBean

extends ManagedResourceMXBean

Management interface of a VirtualMachineImageStore. A VirtualMachineImageStore is a storage repository for virtual machine images. that can be used as templates when creating a new virtual machine.

A VirtualMachineImageStore either belongs to a server pool or to host. In the former case, the VirtualMachineImageStore is shared among all hosts belonging to the pool. In the latter case, the VirtualMachineImageStore refers to the local disk of the host.

The `ObjectName` for identifying a VirtualMachineImageStoreMXBean follows the following template:

> org.ow2.jasmine.vmm.api:type=VirtualMachineImageStore,name=<pathname>

Method Summary
`long` | `getCapacityMB()` Returns the storage capacity of the VirtualMachineImageStore in MBytes
`long` | `getFreeSpaceMB()` Returns the free storage capacity of the VirtualMachineImageStore in MBytes
`java.lang.String` | `getName()` Returns the name of the VirtualMachineImageStore
`java.util.List<VirtualMachineImageMXBean>` | `listVMImageTemplates()` Lists the VM images available on this VirtualMachineImageStore
`VirtualMachineImageMXBean` | `lookUpByUUID(java.lang.String uuid)` Returns the virtual image (if any) whose UUID is provided as argument
`void` | `removeVMImageTemplate(VirtualMachineImageMXBean image)` Removes a VM image from the VirtualMachineImageStore

Methods inherited from interface org.ow2.jasmine.vmm.api.ManagedResourceMXBean
`getObjectName, getPath`

Method Detail

### lookUpByUUID

    VirtualMachineImageMXBean lookUpByUUID(java.lang.String uuid)
                                           throws VMMException

  Returns the virtual image (if any) whose UUID is provided as argument

  Parameters:
    `uuid` - the UUID of the virtual image to look up
  Returns:
    the virtual image matching the provided UUID or null if none is found
  Throws:
    `VMMException`

### listVMImageTemplates

    java.util.List<VirtualMachineImageMXBean> listVMImageTemplates()
                                                                   throws VMMException

  Lists the VM images available on this VirtualMachineImageStore

  Returns:
    list of VM image ID
  Throws:
    `VMMException`

### removeVMImageTemplate

    void removeVMImageTemplate(VirtualMachineImageMXBean image)
                               throws VMMException

  Removes a VM image from the VirtualMachineImageStore

  Parameters:
    `vmImageID` - the ID of the VM image to remove
  Throws:
    `VMMException` - raised if the operation fails

### getName

    java.lang.String getName()

  Returns the name of the VirtualMachineImageStore

  Returns:

### getCapacityMB

    long getCapacityMB()
                       throws VMMException

  Returns the storage capacity of the VirtualMachineImageStore in MBytes

  Returns:
  Throws:
    `VMMException`

### getFreeSpaceMB

    long getFreeSpaceMB()
                        throws VMMException

  Returns the free storage capacity of the VirtualMachineImageStore in MBytes

  Returns:
  Throws:
    `VMMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 OW2 Consortium. All Rights Reserved.